ZXBClientCommands = {}
ZXBClientCommands.switchAmmo = function(args)
	local handItem = getPlayer():getPrimaryHandItem();
	if not handItem then return end
	handItem:getModData().loadedAmmo = args.ammo;
end
ZXBClientCommands.updateHitTracker = function(args)    
    local weapon = getPlayer():getPrimaryHandItem();
    if not weapon or weapon:getModData().ctype ~= 'crossbow' then return end
    ZXBevents:updateHitTracker(args.zedId, args.ammo);
    weapon:getModData().lastHitZedId = nil;
end

ZXBClientCommands.OnClientCommand = function(module, command, player, args)
	-- Only execute for one player: The one that initiated the command
	if not isServer() or getPlayer():getID() ~= player:getID() then return end
	if ZXBconfig.debug then
		print("ClientCommand received: "..command);			
	end
	if module ~= "ZXB" then return end;
  	ZXBClientCommands[command](args);
end
Events.OnClientCommand.Add(ZXBClientCommands.OnClientCommand);

